<?php

namespace CouponsPlus\App\Compatibility\Wpml;

use CouponsPlus\Original\Collections\Collection;

class TranslationIdsOnlyWhenSitePressIsAvailable extends GettableDecorator
{
    public function get(int $objectId): Collection
    {
        global $sitepress;

        if (!is_object($sitepress)) {
            return new Collection([]);
        }

        return $this->gettable->get($objectId);
    } 
}